Imprimer
Catégorie : Joomla World 3.x
Affichages : 1519
1 1 1 1 1 100%/5 (2 Votes)

english

When upgrading to PHP 7.3 and higher, jcomments 3.0.7 and captcha does not work anymore.

It is probably a warning or error PHP message in the ajax response which cause the problem. I would list here what I have found and corrected:

  1. in ...\components\com_jcomments\tpl\default\tpl_form.php replace the following code (line 193) :
     if (count($customBBCodes)) {
    by the following one's :
     if (is_array($customBBCodes) && count($customBBCodes)) { 

french

si vous migrez le PHP de votre site en version PHP 7.3 et au dessus, jcomments 3.0.7 ainsi que le captcha ne fonctionneront plus. C'est très certainement un problème de message warning/erreur de la version PHP qui apparaît. Je liste ci-dessous les erreurs que j'ai pu trouver et corriger :

  1. dans ...\components\com_jcomments\tpl\default\tpl_form.php remplacez le code suivant (ligne 193) :
     if (count($customBBCodes)) {
    par le code suivant :
     if (is_array($customBBCodes) && count($customBBCodes)) {